# List suppliers Retrieve a paginated list of all suppliers with optional filtering by supplier name. Endpoint: GET /v2/suppliers Version: 2.0.0 Security: api_keys ## Query parameters: - `supplier_name` (string) Filter by supplier name (partial match) - `page_size` (integer) Number of results per page ## Response 200 fields (application/json): - `suppliers` (array) - `suppliers.supplier_id` (string) Unique identifier for the supplier Example: "se-567" - `suppliers.supplier_name` (string) Name of the supplier Example: "Acme Widgets Inc" - `suppliers.supplier_email` (string) Email address of the supplier Example: "orders@acmewidgets.com" - `suppliers.address_line_1` (string) First line of address Example: "123 Main St" - `suppliers.address_line_2` (string) Second line of address Example: "Suite 100" - `suppliers.city` (string) City Example: "Austin" - `suppliers.state` (string) State or province Example: "TX" - `suppliers.postal_code` (string) Postal or ZIP code Example: "78701" - `suppliers.country_code` (string) ISO 3166-1 alpha-2 country code Example: "US" - `suppliers.contact_name` (string) Contact person name Example: "John Doe" - `suppliers.contact_phone` (string) Contact phone number Example: "512-555-0100" - `total` (integer) Total number of suppliers Example: 25 - `page` (integer) Current page number Example: 2 - `pages` (integer) Total number of pages Example: 3 - `links` (object) - `links.first` (object) - `links.first.href` (string) Example: "https://api.shipstation.com/v2/suppliers?page_size=50" - `links.next` (object,null) ## Response 400 fields (application/json): - `request_id` (string, required) A UUID that uniquely identifies the request id. This can be given to the support team to help debug non-trivial issues that may occur Example: "aa3d8e8e-462b-4476-9618-72db7f7b7009" - `errors` (array, required) The errors associated with the failed API call - `errors.error_source` (string, required) The source of the error, as indicated by the name this informs us if the API call failed because of the carrier, the order source, or the ShipStation API itself. Enum: "carrier", "order_source", "ShipStation" - `errors.error_type` (string, required) The type of error Enum: "account_status", "business_rules", "validation", "security", "system", "integrations" - `errors.error_code` (string, required) The error code specified for the failed API Call Enum: "auto_fund_not_supported", "batch_cannot_be_modified", "carrier_conflict", "carrier_disconnected", "carrier_not_connected", "carrier_not_supported", "confirmation_not_supported", "default_warehouse_cannot_be_deleted", "field_conflict", "field_value_required", "forbidden", "identifier_conflict", "identifiers_must_match", "insufficient_funds", "invalid_address", "invalid_billing_plan", "invalid_field_value", "invalid_identifier", "invalid_status", "invalid_string_length", "label_images_not_supported", "meter_failure", "order_source_not_active", "rate_limit_exceeded", "refresh_not_supported", "request_body_required", "return_label_not_supported", "settings_not_supported", "subscription_inactive", "terms_not_accepted", "tracking_not_supported", "trial_expired", "unauthorized", "unknown", "unspecified", "verification_failure", "warehouse_conflict", "webhook_event_type_conflict", "customs_items_required", "incompatible_paired_labels", "invalid_charge_event", "invalid_object", "no_rates_returned" - `errors.message` (string, required) An error message associated with the failed API call Example: "Body of request cannot be null." - `errors.field_name` (string) The name of the field that caused the error (only present for validation errors) Example: "inventory_warehouse_id" - `errors.field_value` (string) The invalid value that was provided for the field (only present for validation errors) Example: "invalid-id"